<?php
date_default_timezone_set('America/Costa_Rica');

session_start();

 $usu=$_SESSION['username'];
 

		include('../conexion.php'); 
		if($_SESSION['tipo_usu']=='a' or $_SESSION['tipo_usu']=='s'  or $_SESSION['tipo_usu']=='c'  or $_SESSION['tipo_usu']=='v'){
		}else{
			header('location:error.php');
		}
		if($_SESSION['tipo_usu']=='a'){
			$titulo='SUPERVISOR';
		}else{
			$titulo='USUARIO';
		}
		
$consulta = "SELECT * FROM usuarios WHERE usu='$usu'";
$resultado = $mysqli->query($consulta);
$row = $resultado->fetch_array();
 $nomb = $row["usu"];

 $codusu = $row["codusu"];


		
 $codfactura=$_GET["codfactura"];


$consulta = "SELECT * FROM entregas WHERE codfactura='$codfactura'";
$resultado = $mysqli->query($consulta);
$fila = $resultado->fetch_array();

        $marcaestado = $fila["estado"];
        $marcaborrado = $fila["borrado"];
        $horfac = $fila["horfac"];
        $fecha = $fila["fecha"];
		$fecha= implode("-", array_reverse(explode("-", $fecha)));
        $cdgtipven = $fila["cdgtipven"];
		$numfactura = $fila["numfactura"];
		$cdgcli = $fila["cdgcli"];
		$dsccli = $fila["dsccli"];
		$totalfactura = $fila["totalfactura"];
		$codfactura = $fila["codfactura"];
		$modpro = $fila["modpro"];
		$obsfac = $fila["obsfac"];

	//************************************************ Anulo en la  tabla Facturas  *********************************


	$sel_act="UPDATE entregas SET borrado =1 , totalfactura = 0 , subexe=0, subgra=0,  subtot=0, impven=0, destot=0  WHERE codfactura='$codfactura'";
	$mysqli->query($sel_act);



  	
	//************************************************ Anulo en laS  tablas lineas *********************************
	
	
		$sel_art="UPDATE entrelineas SET borrado =1  WHERE codfactura='$codfactura'";
	$mysqli->query($sel_art);
	
		$sel_art_2101="UPDATE entrelineas_2101 SET borrado =1  WHERE codfactura='$codfactura'";
	$mysqli->query($sel_art_2101);

		//************************************************ Retiro la factura de c x c si es de credito ***************************

	/*			
	$query = "delete from web_2101 where numfac = '$numfactura' and cdgcli= '$cdgcli' ";  
	$mysqli->query($query);
				

	$consulta = "SELECT  Sum(salact) AS totalfac FROM web_2101 WHERE cdgcli = $cdgcli";
    $resultado = $mysqli->query($consulta);
    $row = $resultado->fetch_array();
    $salact = $row["totalfac"];

	$sel_actual_saldo="UPDATE web_0301 SET salact='$salact' WHERE cdgcli = $cdgcli";
	$mysqli->query($sel_actual_saldo);
			
	*/			


////////////////////////////////////////////////   suma de unidades al inventatio ///////////////////////


	$sel_lineas = "SELECT codigo,cantidad FROM entrelineas WHERE codfactura='$codfactura'";
    if ($result = $mysqli->query($sel_lineas)) 
	
    while ($fila = $result->fetch_assoc()) {
		
        $codigo = $fila["codigo"];
		$cantidad = $fila["cantidad"];
		
	$sel_articulos="UPDATE web_1001 SET exiact=(exiact+'$cantidad') WHERE cdgbar='$codigo' and tipart != 2 ";
	$mysqli->query($sel_articulos);

	}
	
	
	
	
	?>
<html>
	<head>
		<title>Factura Nula</title>
		<link href="../estilos/estilos.css" type="text/css" rel="stylesheet">
		<link href="../calendario/calendar-blue.css" rel="stylesheet" type="text/css">
		<script type="text/javascript" src="../funciones/validar.js"></script>
		<script type="text/JavaScript" language="javascript" src="../calendario/calendar.js"></script>
		<script type="text/JavaScript" language="javascript" src="../calendario/lang/calendar-sp.js"></script>
		<script type="text/JavaScript" language="javascript" src="../calendario/calendar-setup.js"></script>
		<script language="javascript">
		var cursor;
		if (document.all) {
		// Está utilizando EXPLORER
		cursor='hand';
		} else {
		// Está utilizando MOZILLA/NETSCAPE
		cursor='pointer';
		}
		
	
	    function cancelar() {
			location.href="index.php";
		}
		
	
		function nobackbutton(){	
   window.location.hash="no-back-button";	
   window.location.hash="Again-No-back-button" //chrome	
   window.onhashchange=function(){window.location.hash="no-back-button";}	
}



		</script>








</head>
	<body onLoad="nobackbutton();">
		<div id="">
			<div id="zonaContenido">
         	<div class="contenidoFactura">
			   <div align="center">
				<div id="tituloForm" class="header">
               Factura Anulada Exitosamente 
			   </div>
			    <br> </br>
				<table width="100%" border="0">
  <tr>
    <td colspan="4">&nbsp;</td>
    </tr>
</table>

				
			    
			  </div>
				<div id="botonBusquedaAWR">					
				
				<div id="" align="center">
					<img src="../img/Symbol-Check_128x128-32.png" width="128" height="128" onClick="cancelar()" border="0" onMouseOver="style.cursor=cursor" title="Salir">
			
			  </div>
				    
			   </div>
			  </div>
		  </div>
		</div>
	</body>
</html>

